Bug 18685 - RPM does not check inode usage!
Summary: RPM does not check inode usage!
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-09 09:29 UTC by jlehrke
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-09 10:08:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jlehrke 2000-10-09 09:29:59 UTC
RedHat 7 is prepared for kernel-2.4 and therefore comes with a huge
/dev-tree package. Until RedHat 6.2 you could use a small root-partition
(e.g. 64M) containing the system configuration data and the /dev/-tree. I
tried to upgrade such a system and got no warning/error message, that the
root file system was to small (in respect of inodes).
During the upgrade process the inodes became exhausted after installing the
dev package and further packages failed with the installation. My system
was unusable after the update process.

It is definitely necesary not only to check the disk usage in space, but
also the inode count.

Comment 1 Jeff Johnson 2000-12-22 15:36:01 UTC
Inode count is checked in rpm-4.0.1.


Note You need to log in before you can comment on or make changes to this bug.